%define name gnunet-gtk
%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

%define pre pre2

Name:		%{name}
Version:        0.9.0
Release:        %mkrel 0.%{pre}.1
Source:		http://gnunet.org/download/%{name}-%{version}%{pre}.tar.gz
License:	GPLv2+
Summary:	GNUnet GTK user interface
Group:		Networking/File transfer
URL:		http://gnunet.org/
BuildRequires:	gnunet-devel = %{version}
BuildRequires:	gtk+2-devel
BuildRequires:	libextractor-devel
BuildRequires:	libgksu-devel
#BuildRequires:	libglade2-devel
BuildRequires:	glade3-devel
Requires:	gnunet

%description
This is the GNUnet GTK user interface. GNUnet is a framework for secure
peer-to-peer networking that does not use any centralized or otherwise
trusted services.

%prep
%setup -q -n %{name}-%{version}%{pre}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#{__install} -d %{buildroot}%{_iconsdir}
#{__install} -m 644 pixmaps/gnunet_logo.png %{buildroot}%{_iconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%doc README AUTHORS ABOUT-NLS ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*



%changelog
* Thu Aug 11 2011 Andrey Bondrov <abondrov@mandriva.org> 0.9.0-0.pre2.1mdv2011.0
+ Revision: 693964
- imported package gnunet-gtk


* Thu Aug 11 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 0.9.0-0.pre2.1mdv2011.0
- New version 0.9.0pre2
- Port to 2011

* Thu Apr 03 2008 Anssi Hannula <anssi@zarb.org> 0.7.3-1plf2008.1
- add to PLF
- drop duplicate menu entry
- buildrequires libglade2

* Fri Mar 21 2008 Nicolas Vigier <boklm@mars-attacks.org> 0.7.3-1mdv2008.1
- first version
